Bug 734224 - Duplicate methods for /consumers/#uuid/certificates
Summary: Duplicate methods for /consumers/#uuid/certificates
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 19:03 UTC by Jordan OMara
Modified: 2015-05-14 15:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-01 20:28:31 UTC


Attachments (Terms of Use)

Description Jordan OMara 2011-08-29 19:03:41 UTC
Checking out ConsumerResource.java, it appears as if two methods respond equally to /consumers/#uuid/certificates. We would expect this endpoint to return a zipfile bundle of certificates, but instead we are getting either a zipfile bundle OR an array of json objects of each cert, PEM encoded.

I worked with cduryee on this bug already so it should probably be assigned to him.

Exists in 0.4.10

Comment 1 Bryan Kearney 2011-08-30 13:08:27 UTC
Are you passing in the media type? You should be passing in in application/json or applicatoin/zip.

Comment 2 Jordan OMara 2011-09-01 20:28:31 UTC
Good call Bryan. For some reason, this works by default in Stage but not in QA. ACCEPT header to application/zip clears us up. I had tested content-type instead of accept before which explains why it wasnt working!


Note You need to log in before you can comment on or make changes to this bug.